#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Config
%define		pnam	JSON
Summary:	Config::JSON - a JSON based config file system
Name:		perl-Config-JSON
Version:	1.5100
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	26918705ca68a635d391e4d809a78e3b
URL:		http://search.cpan.org/dist/Config-JSON/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Any-Moose >= 0.13
BuildRequires:	perl-JSON >= 2.16
BuildRequires:	perl-Test-Deep >= 0.095
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package parses the config files written in JSON. It also does
some non-JSON stuff, like allowing for comments in the files.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Config/JSON.pm
%{_mandir}/man3/*
%changelog
* Sun Apr 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Config-JSON.git;a=log;h=master

* Mon Jan 23 2012 zbyniu <zbyniu@pld-linux.org> 48d3f73
- up to 1.5100

* Mon Nov 16 2009 amateja <amateja@pld-linux.org> 9135bbb
- updated to 1.4.0

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> a104a4f
- updated to 1.3.1

* Fri Feb 22 2008 mis <mis@pld-linux.org> 12fadaf
- new

